GroupingSpecification (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.GroupingSpecification class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping
Class GroupingSpecification

    java.lang.Object
      org.apache.solr.search.grouping.GroupingSpecification

    public class GroupingSpecification

extends Object

Encapsulates the grouping options like fields group sort and more specified by clients.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`GroupingSpecification()`

Method Summary
`String[]` | `getFields()`
`int` | `getGroupLimit()`
`int` | `getGroupOffset()`
`Sort` | `getGroupSort()`
`int` | `getLimit()`
`int` | `getOffset()`
`String[]` | `getQueries()`
`Grouping.Format` | `getResponseFormat()`
`Sort` | `getSortWithinGroup()`
`boolean` | `isIncludeGroupCount()`
`boolean` | `isMain()`
`boolean` | `isNeedScore()`
`boolean` | `isTruncateGroups()`
`void` | `setFields(String[] fields)`
`void` | `setGroupLimit(int groupLimit)`
`void` | `setGroupOffset(int groupOffset)`
`void` | `setGroupSort(Sort groupSort)`
`void` | `setIncludeGroupCount(boolean includeGroupCount)`
`void` | `setLimit(int limit)`
`void` | `setMain(boolean main)`
`void` | `setNeedScore(boolean needScore)`
`void` | `setOffset(int offset)`
`void` | `setQueries(String[] queries)`
`void` | `setResponseFormat(Grouping.Format responseFormat)`
`void` | `setSortWithinGroup(Sort sortWithinGroup)`
`void` | `setTruncateGroups(boolean truncateGroups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupingSpecification

    public GroupingSpecification()

Method Detail

### getFields

    public String[] getFields()

### setFields

    public void setFields(String[] fields)

### getQueries

    public String[] getQueries()

### setQueries

    public void setQueries(String[] queries)

### getGroupOffset

    public int getGroupOffset()

### setGroupOffset

    public void setGroupOffset(int groupOffset)

### getGroupLimit

    public int getGroupLimit()

### setGroupLimit

    public void setGroupLimit(int groupLimit)

### getOffset

    public int getOffset()

### setOffset

    public void setOffset(int offset)

### getLimit

    public int getLimit()

### setLimit

    public void setLimit(int limit)

### getGroupSort

    public Sort getGroupSort()

### setGroupSort

    public void setGroupSort(Sort groupSort)

### getSortWithinGroup

    public Sort getSortWithinGroup()

### setSortWithinGroup

    public void setSortWithinGroup(Sort sortWithinGroup)

### isIncludeGroupCount

    public boolean isIncludeGroupCount()

### setIncludeGroupCount

    public void setIncludeGroupCount(boolean includeGroupCount)

### isMain

    public boolean isMain()

### setMain

    public void setMain(boolean main)

### getResponseFormat

    public Grouping.Format getResponseFormat()

### setResponseFormat

    public void setResponseFormat(Grouping.Format responseFormat)

### isNeedScore

    public boolean isNeedScore()

### setNeedScore

    public void setNeedScore(boolean needScore)

### isTruncateGroups

    public boolean isTruncateGroups()

### setTruncateGroups

    public void setTruncateGroups(boolean truncateGroups)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD